// trivial_long_double.cpp : Defines the entry point for the console application.
//

#include <cstdio>
#include <iostream>
#include <cmath>

using namespace std;

int main(int argc, char* argv[])
{
//	freopen("input.txt", "rt", stdin);
//	freopen("output.txt", "wt", stdout);

	long double a, b, c;
	cin >> a >> b >> c;
	long double D = b*b - 4*a*c;
	long double sqrtD = sqrtl(D);
	long double x1, x2;
	if(b < 0)
	{
		x1 = (c+c) / (-b + sqrtD);
		x2 = (-b + sqrtD) / (a+a);
	}
	else
	{
		x1 = (-b - sqrtD) / (a+a);
		x2 = (c+c) / (-b - sqrtD);
	}

	if(x1 > x2)
		swap(x1, x2);
	cout << x1 << " " << x2 << endl;
//	fprintf(stderr, "%.50lf\n%.50lf\n", x1, x2);
	return 0;
}

